%define major      16
%define libname    %mklibname ossp-uuid %{major}
%define libnamepp  %mklibname ossp-uuid++ %{major}
%define libnamedce %mklibname ossp-uuid-dce %{major}
%define develname  %mklibname ossp-uuid -d

%define src_tag  UUID_%(sed "s/\\./_/g"<<<%{version})

Name:		ossp_uuid
Version:	1.6.4
Release:	%mkrel 1
Summary:	OSSP uuid is a ISO-C:1999 application programming interface
License:	GPLv2+
Group:		Development/C
URL:		http://www.ossp.org/pkg/lib/uuid/
Source:		https://git.sr.ht/~nabijaczleweli/ossp-uuid/archive/%{src_tag}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(libmd)

%description
OSSP uuid is a ISO-C:1999 application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1, ISO/IEC 11578:1996 and IETF RFC-4122 compliant Universally
Unique Identifier (UUID). It supports DCE 1.1 variant UUIDs of version
1 (time and node based), version 3 (name based, MD5), version 4
(random number based) and version 5 (name based, SHA-1). Additional
API bindings are provided for the languages ISO-C++:1998, Perl:5 and
PHP:4/5. Optional backward compatibility exists for the ISO-C DCE-1.1
and Perl Data::UUID APIs

%package -n     %{libname}
Summary:        Main library for ossp-uuid
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{_lib}ossp_uuid16 < 1.6.2-33

%description -n %{libname}
OSSP uuid is a ISO-C:1999 application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1, ISO/IEC 11578:1996 and IETF RFC-4122 compliant Universally
Unique Identifier (UUID). It supports DCE 1.1 variant UUIDs of version
1 (time and node based), version 3 (name based, MD5), version 4
(random number based) and version 5 (name based, SHA-1). Additional
API bindings are provided for the languages ISO-C++:1998, Perl:5 and
PHP:4/5. Optional backward compatibility exists for the ISO-C DCE-1.1
and Perl Data::UUID APIs

%package -n     %{libnamepp}
Summary:        Main library for ossp-uuid++
Group:          System/Libraries

%description -n %{libnamepp}
OSSP uuid is a ISO-C:1999 application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1, ISO/IEC 11578:1996 and IETF RFC-4122 compliant Universally
Unique Identifier (UUID). It supports DCE 1.1 variant UUIDs of version
1 (time and node based), version 3 (name based, MD5), version 4
(random number based) and version 5 (name based, SHA-1). Additional
API bindings are provided for the languages ISO-C++:1998, Perl:5 and
PHP:4/5. Optional backward compatibility exists for the ISO-C DCE-1.1
and Perl Data::UUID APIs

%package -n     %{libnamedce}
Summary:        Main library for ossp-uuid_dce
Group:          System/Libraries

%description -n %{libnamedce}
OSSP uuid is a ISO-C:1999 application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1, ISO/IEC 11578:1996 and IETF RFC-4122 compliant Universally
Unique Identifier (UUID). It supports DCE 1.1 variant UUIDs of version
1 (time and node based), version 3 (name based, MD5), version 4
(random number based) and version 5 (name based, SHA-1). Additional
API bindings are provided for the languages ISO-C++:1998, Perl:5 and
PHP:4/5. Optional backward compatibility exists for the ISO-C DCE-1.1
and Perl Data::UUID APIs

%package        -n     %{develname}
Summary:        Header files for the ossp-uuid library
Group:          Development/C
Requires:       %{libname} = %{version}
Requires:       %{libnamepp} = %{version}
Requires:       %{libnamedce} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}ossp_uuid-devel < 1.6.2-33

%description    -n %{develname}
OSSP uuid is a ISO-C:1999 application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1, ISO/IEC 11578:1996 and IETF RFC-4122 compliant Universally
Unique Identifier (UUID). It supports DCE 1.1 variant UUIDs of version
1 (time and node based), version 3 (name based, MD5), version 4
(random number based) and version 5 (name based, SHA-1). Additional
API bindings are provided for the languages ISO-C++:1998, Perl:5 and
PHP:4/5. Optional backward compatibility exists for the ISO-C DCE-1.1
and Perl Data::UUID APIs
These are .h files.

%package -n perl-OSSP-uuid
Summary:        Perl bindings for ossp-uuid
Group:          System/Libraries

%description -n perl-OSSP-uuid
This package contains perl bindings for %{name}.

%prep
%autosetup -p1 -n ossp-uuid-%{src_tag}

%build
autoreconf -fi
%configure \
    --disable-static \
    --includedir=%{_includedir}/ossp \
    --with-libname=libossp-uuid \
    --with-cxx \
    --with-dce \
    --with-perl \
    --with-perl-compat
%make_build

%install
%make_install

%check
make check

%files
%doc README HISTORY THANKS BINDINGS
%license LICENSES/0BSD.txt
%{_bindir}/uuid
%{_mandir}/man1/uuid.1*

%files -n %{libname}
%license LICENSES/0BSD.txt
%{_libdir}/libossp-uuid.so.%{major}{,.*}

%files -n %{libnamepp}
%license LICENSES/0BSD.txt
%{_libdir}/libossp-uuid++.so.%{major}{,.*}

%files -n %{libnamedce}
%license LICENSES/0BSD.txt
%{_libdir}/libossp-uuid_dce.so.%{major}{,.*}

%files  -n %{develname}
%{_libdir}/pkgconfig/ossp-uuid.pc
%dir %{_includedir}/ossp
%{_includedir}/ossp/uuid.h
%{_includedir}/ossp/uuid++.hh
%{_includedir}/ossp/uuid_dce.h
%{_bindir}/uuid-config
%{_libdir}/libossp-uuid.so
%{_libdir}/libossp-uuid++.so
%{_libdir}/libossp-uuid_dce.so
%{_mandir}/man1/uuid-config.1*
%{_mandir}/man3/uuid.3*
%{_mandir}/man3/uuid++.3*

%files -n perl-OSSP-uuid
%{_libdir}/perl5/5.40/Data/UUID.pm
%{_libdir}/perl5/5.40/OSSP/uuid.pm
%{_libdir}/perl5/5.40/auto/OSSP/uuid/uuid.so
%{_mandir}/man3/OSSP::uuid.3*
%{_mandir}/man3/Data::UUID.3*



%changelog
* Thu Jun 05 2025 daviddavid <daviddavid> 1.6.4-1.mga10
+ Revision: 2188216
- new version: 1.6.4 (thanks to Aurelian R)
- fix devel and library pkg name
+ pterjan <pterjan>
- Rebuild for patchN deprecation

* Fri Aug 23 2024 tv <tv> 1.6.2-32.mga10
+ Revision: 2089691
- Rebuild for perl-5.40

* Tue Dec 05 2023 daviddavid <daviddavid> 1.6.2-31.mga10
+ Revision: 2013194
- rebuild for new perl 5.38.0

* Tue Jun 07 2022 umeabot <umeabot> 1.6.2-30.mga9
+ Revision: 1862705
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.6.2-29.mga9
+ Revision: 1795459
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.6.2-28.mga9
+ Revision: 1726378
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.6.2-27.mga8
+ Revision: 1594237
- Rebuild for perl 5.32

* Mon Feb 17 2020 umeabot <umeabot> 1.6.2-26.mga8
+ Revision: 1537516
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Nov 02 2019 daviddavid <daviddavid> 1.6.2-25.mga8
+ Revision: 1457342
- move header files to /usr/include/ossp (needed for guacd >= 1.0.0)

* Sat Nov 02 2019 daviddavid <daviddavid> 1.6.2-24.mga8
+ Revision: 1457288
- remove no more needed conflicts with libuuid-devel

* Fri Nov 01 2019 daviddavid <daviddavid> 1.6.2-23.mga8
+ Revision: 1457269
- add patch to rename libuuid.so to libossp-uuid.so
- add patch to fix build on aarch64
- do not strip binaries
- ensure libraries are executable for proper -debuginfo extraction

* Tue Aug 27 2019 tmb <tmb> 1.6.2-22.mga8
+ Revision: 1433866
- rebuild for perl 5.30

* Sun Sep 23 2018 umeabot <umeabot> 1.6.2-21.mga7
+ Revision: 1300074
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 1.6.2-20.mga7
+ Revision: 1248938
- Rebuild for perl 5.28

* Sun Jun 03 2018 wally <wally> 1.6.2-19.mga7
+ Revision: 1234057
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Thu Aug 31 2017 pterjan <pterjan> 1.6.2-18.mga7
+ Revision: 1150070
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.6.2-17.mga7
+ Revision: 1126632
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.6.2-16.mga6
+ Revision: 1022171
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.6.2-15.mga6
+ Revision: 956585
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 tv <tv> 1.6.2-14.mga6
+ Revision: 846874
- rebuild with soname-ified perl

* Wed Jun 24 2015 sander85 <sander85> 1.6.2-13.mga6
+ Revision: 842496
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-12.mga5
+ Revision: 743851
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-11.mga5
+ Revision: 683285
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.6.2-10.mga5
+ Revision: 630736
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.6.2-9.mga4
+ Revision: 524160
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 1.6.2-8.mga4
+ Revision: 430424
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.6.2-7.mga3
+ Revision: 362249
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 16 2012 fwang <fwang> 1.6.2-6.mga3
+ Revision: 294307
- disable php build until fixed upstream
+ jquelin <jquelin>
- perl 5.16 rebuild

* Sun Jun 12 2011 sander85 <sander85> 1.6.2-5.mga2
+ Revision: 104900
- Rebuild for perl 5.14

* Thu Jan 13 2011 dmorgan <dmorgan> 1.6.2-4.mga1
+ Revision: 16655
- Remove mdv macros
- imported package ossp_uuid


* Sat Jan 01 2011 Funda Wang <fwang@mandriva.org> 1.6.2-4mdv2011.0
+ Revision: 627159
- fix link of php binding
- use aclocal instead of its 1.7 version for phpize

* Thu Dec 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.2-3mdv2011.0
+ Revision: 622424
- add perl and php bindings

* Tue Jul 13 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.6.2-2mdv2011.0
+ Revision: 551531
- bump release?\194

* Sat May 22 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.6.2-1mdv2011.0
+ Revision: 545712
- import ossp_uuid


